<?php

/*
 * @version $Id: admin.php 23 2014-01-26 23:18:41Z hi $
 */

/*
 * hi_KCFinder for CMSimple - module admin
 *
 * Admin-interface for configuring the plugin
 * via the standard-functions of pluginloader.
 *
 * @author  Holger Irmler
 * @link    http://CMSimple.HolgerIrmler.de
 * @build   2014020701
 * @version 2.0.1
 * @date    2014-02-07
 * @package hi_kcfinder
 */

if ((!function_exists('sv')) || preg_match('/adm.php/i', sv('PHP_SELF')))
    die('Access denied');

/**
 * Check if plugin was called. If so, let the 
 * Loader create and handle the admin-menu 
 */
initvar('hi_kcfinder');

if ($hi_kcfinder) {

    function hi_kcfinder_xhVersion() {
        $version = CMSIMPLE_XH_VERSION;
        if (strpos($version, 'CMSimple_XH') === 0) {
            $version = substr($version, strlen('CMSimple_XH '));
        } else {
            $version = '0';
        }
        return $version;
    }

    function hi_kcfinder_getSkins() {
        global $pth;
        $skins = array();
        $handle = opendir($pth['folder']['plugins'] . 'hi_kcfinder/kcfinder/themes/');
        while (false !== ($entry = readdir($handle))) {
            if (strpos($entry, '.') === false && is_dir($pth['folder']['plugins'] . 'hi_kcfinder/kcfinder/themes/'.$entry)) {
                $skins[] = $entry;
            }
        }
        closedir($handle);
        return $skins;
    }

    function hi_kcfinder_get_Languages() {
        global $pth;
        $temp = glob($pth['folder']['plugins'] . 'hi_kcfinder/kcfinder/lang/*.php');
        $langs = array();
        $langs[] = '';
        foreach ($temp as $lang) {
            $langs[] = basename($lang, '.php');
        }
        return $langs;
    }

    $admin = isset($_POST['admin']) ? $_POST['admin'] : $admin = isset($_GET['admin']) ? $_GET['admin'] : '';
    $action = isset($_POST['action']) ? $_POST['action'] : $action = isset($_GET['action']) ? $_GET['action'] : '';
    $plugin = basename(dirname(__FILE__), "/");

    $o .= print_plugin_admin('on');
    if ($admin <> 'plugin_main') {
        $o .= plugin_admin_common($action, $admin, $plugin);
    }

    if ($admin == '' || $admin == 'plugin_main') {
        $o .= '<h1>hi_KCFinder for CMSimple_XH</h1>' . "\n";
        //$o .= tag('hr size="1"')."\n";
        //$o .= tag('br')."\n";
        $o .= 'The bridge between CMSimple_XH and' . tag('br') . ' Pavel Tzonkovs <a href="http://kcfinder.sunhater.com/" target="_blank">KCfinder web file manager</a>.' . tag('br') . "\n";
        $o .= tag('br') . "\n";
        $o .= tag('hr size="1"') . "\n";
        $o .= tag('br') . "\n";
        $o .= '<strong>Version: </strong> 2.0.1 - 2014-02-07' . tag('br') . "\n";
        $o .= '&copy;2011-2014 Holger Irmler - all rights reserved' . tag('br') . "\n";
        $o .= 'Email: <a href="mailto:CMSimple@HolgerIrmler.de">CMSimple@HolgerIrmler.de</a>' . tag('br') . "\n";
        $o .= 'Website: <a href="http://cmsimple.holgerirmler.de" target="_blank">http://CMSimple.HolgerIrmler.de</a>' . tag('br') . "\n";
        $o .= tag('br') . "\n";
        $o .= tag('hr size="1"') . "\n";
        $o .= '<p><b>License:</b>' . tag('br') . 'This plugin is free for use - commercial or not.' . tag('br') .
              'The complete license can be found in the shipped license.txt. </p>';
        $o .= '<p>The included KCFinder web file manager is usable under the terms of the GPLv2 & LGPLv2.</p>' . "\n";
        $o .= '<p style="font-weight: bold; line-height: 1em; font-size: 0.66em; color: #666;">
				THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY 
				APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT 
				HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY 
				OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, 
				THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR 
				PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM 
				IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF 
				ALL NECESSARY SERVICING, REPAIR OR CORRECTION. 
				</p>' . "\n";
        $o .= tag('hr size="1"') . "\n";
        //$o .= tag('br')."\n";
        //check system-compatibility
        //XH - version
        $kcf_xhVersion = hi_kcfinder_xhVersion();
        $o .= '<h1>System-Check</h1>';
        $o .= '<strong>hi_KCFinder Version: </strong> 2.0.1' . tag('br') . "\n";
        $o .= '<strong>Build: </strong> 2014020701' . tag('br') . "\n";
        $o .= tag('br') . "\n";
        if (version_compare($kcf_xhVersion, '1.6beta', '>=')) {
            $o .= tag('img src="' . $pth['folder']['plugins'] . 'hi_kcfinder/images/ok_16.png"') . '&nbsp;&nbsp;CMSimple_XH-Version: ' . $kcf_xhVersion . "\n";
        } else {
            $o .= tag('img src="' . $pth['folder']['plugins'] . 'hi_kcfinder/images/fail_16.png"') . '&nbsp;&nbsp;CMSimple_XH-Version: ' . $kcf_xhVersion . "\n";
        }
        //PHP version
        $o .= "\n" . tag('br');
        if (version_compare(PHP_VERSION, '5.1.0', '>=')) {
            $o .= tag('img src="' . $pth['folder']['plugins'] . 'hi_kcfinder/images/ok_16.png"') . '&nbsp;&nbsp;PHP-Version: ' . PHP_VERSION . tag('br') . "\n";
        } else {
            $o .= tag('img src="' . $pth['folder']['plugins'] . 'hi_kcfinder/images/fail_16.png"') . '&nbsp;&nbsp;PHP-Version: ' . PHP_VERSION . tag('br') . "\n";
        }
        $o .= "\n" . tag('br');
        //PHP extensions
        $kcfExts = array(
            1 => 'gd',
            2 => 'mbstring',
            3 => 'pcre',
            4 => 'session',
            5 => 'SPL'
        );
        while (list($key, $val) = each($kcfExts)) {
            if (extension_loaded($val)) {
                $o .= tag('img src="' . $pth['folder']['plugins'] . 'hi_kcfinder/images/ok_16.png"') . '&nbsp;&nbsp;Extension "' . $val . '" installed' . tag('br') . "\n";
            } else {
                $o .= tag('img src="' . $pth['folder']['plugins'] . 'hi_kcfinder/images/fail_16.png"') . '&nbsp;&nbsp;<b>Extension "' . $val . '" not installed</b>' . tag('br') . "\n";
            }
        }
        $o .= "\n" . tag('br');
        //Folders
        $kcfFolders = array(
            0 => $pth['folder']['userfiles'],
            1 => $pth['folder']['images'],
            2 => $pth['folder']['downloads'],
            3 => $pth['folder']['media']
        );
        while (list($key, $val) = each($kcfFolders)) {
            if (is_writeable($val)) {
                $o .= tag('img src="' . $pth['folder']['plugins'] . 'hi_kcfinder/images/ok_16.png"') . '&nbsp;&nbsp;Folder "' . $val . '" is writeable' . tag('br') . "\n";
            } else {
                $o .= tag('img src="' . $pth['folder']['plugins'] . 'hi_kcfinder/images/warn_16.png"') . '&nbsp;&nbsp;<b>Folder "' . $val . '" not writeable / existing</b>' . tag('br') . "\n";
            }
        }
    }
}

if (XH_ADM) {
    if (isset($cf['filebrowser']['external']) && $cf['filebrowser']['external'] != 'hi_kcfinder')
        return; //_XH 1.5 activation


        
//load KCfinder settings and enable browser
    include_once($pth['folder']['plugins'] . $plugin . '/kcfinder_init.php');

    $hi_kcfTypes = array_keys($_SESSION['KCFINDER']['types']);
    $hi_kcfType = $hi_kcfTypes[0]; //only '/userfiles-folder

    $hi_kcfDir = 'undefined';

    initvar('userfiles');
    initvar('media');
    if ($images || $function == 'images')
        $hi_kcfDir = $_SESSION['KCFINDER']['dirImages'];
    elseif ($downloads || $function == 'downloads')
        $hi_kcfDir = $_SESSION['KCFINDER']['dirDownloads'];
    elseif ($media)
        $hi_kcfDir = $_SESSION['KCFINDER']['dirMedia'];
    elseif ($userfiles)
        $hi_kcfDir = ''; //loads the root-folder

    if ($hi_kcfDir != 'undefined') {
        $o .= '<iframe name="kcfinder_iframe" src="' . $pth['folder']['plugins'] . $plugin . '/kcfinder/browse.php?type=' . $hi_kcfType . '&lang=' . $hi_kcfLang . '&dir=' . $hi_kcfDir . '" ';
        $o .= 'frameborder="0" width="' . $plugin_cf['hi_kcfinder']['frame_width'] . '" height="' . $plugin_cf['hi_kcfinder']['frame_height'] . '" marginwidth="0" marginheight="0" scrolling="no"></iframe>';
        //let the requests to the core-functions die...
        $images = $downloads = $userfiles = $media = false;
        $f = 'KCFinder';
    }
}
?>